@02matoka

После установки обновления phpstorm перестал запускаться. Как исправить?

Добрый день.
После установки обновления phpstorm перестал запускаться, пользуюсь EAP-версиями. Сейчас версия 2024.1.
Гугл подсказывает, что нужно прописать переменные среды. Вроде прописала, но все равно не запускается.
Не подскажете, в чем может быть проблема?
66253afb5c300314566989.png

phpstorm64.exe.vmoptions
-Xms128m
-Xmx2048m
-XX:ReservedCodeCacheSize=512m
-XX:+UseG1GC
-XX:SoftRefLRUPolicyMSPerMB=50
-XX:CICompilerCount=2
-XX:+HeapDumpOnOutOfMemoryError
-XX:-OmitStackTraceInFastThrow
-XX:+IgnoreUnrecognizedVMOptions
-XX:CompileCommand=exclude,com/intellij/openapi/vfs/impl/FilePartNodeRoot,trieDescend
-ea
-Dsun.io.useCanonCaches=false
-Dsun.java2d.metal=true
-Djbr.catch.SIGABRT=true
-Djdk.http.auth.tunneling.disabledSchemes=""
-Djdk.attach.allowAttachSelf=true
-Djdk.module.illegalAccess.silent=true
-Dkotlinx.coroutines.debug=off

jetbrains_client64.exe.vmoptions
-Xms128m
-Xmx1500m
-XX:ReservedCodeCacheSize=512m
-XX:+UseG1GC
-XX:SoftRefLRUPolicyMSPerMB=50
-XX:CICompilerCount=2
-XX:+HeapDumpOnOutOfMemoryError
-XX:-OmitStackTraceInFastThrow
-XX:+IgnoreUnrecognizedVMOptions
-XX:CompileCommand=exclude,com/intellij/openapi/vfs/impl/FilePartNodeRoot,trieDescend
-ea
-Dsun.io.useCanonCaches=false
-Dsun.java2d.metal=true
-Djbr.catch.SIGABRT=true
-Djdk.http.auth.tunneling.disabledSchemes=""
-Djdk.attach.allowAttachSelf=true
-Djdk.module.illegalAccess.silent=true
-Dkotlinx.coroutines.debug=off

Еще из параметров:
- Windows 11 Домашняя
- 64-разрядная операционная система, процессор x64
  • Вопрос задан
  • 112 просмотров
Пригласить эксперта
Ответы на вопрос 2
Mike_Ro
@Mike_Ro
Python, JS, WordPress, SEO, Bots, Adversting
Гугл подсказывает, что нужно прописать переменные среды. Вроде прописала, но все равно не запускается.
Не подскажете, в чем может быть проблема?

Это неважно, быстрее удалить ide, почистить все директории, где она хранит данные, перезагрузиться и поставить ide обратно.

Перед удаление, не забудьте экспортировать конфиг со всеми настройками, чтобы потом его импортировать в свежую ide.
Ответ написан
@diller
Системные требования проверьте минимум core i5 12 поколения
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы